org.eclipse.viatra.addon.viewers.runtime.notation

## Interface NotationFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    NotationFactoryImpl

      public interface NotationFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `NotationPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NotationFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `createAttribute()` Returns a new object of class 'Attribute'.
    `Containment` | `createContainment()` Returns a new object of class 'Containment'.
    `Edge` | `createEdge()` Returns a new object of class 'Edge'.
    `FormatSpecification` | `createFormatSpecification()` Returns a new object of class 'Format Specification'.
    `Item` | `createItem()` Returns a new object of class 'Item'.
    `NotationModel` | `createNotationModel()` Returns a new object of class 'Model'.
    `NotationPackage` | `getNotationPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final NotationFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createFormatSpecification

          FormatSpecification createFormatSpecification()

      Returns a new object of class 'Format Specification'.
      Returns:
        a new object of class 'Format Specification'.
      Generated:

    - #### createItem

          Item createItem()

      Returns a new object of class 'Item'.
      Returns:
        a new object of class 'Item'.
      Generated:

    - #### createEdge

          Edge createEdge()

      Returns a new object of class 'Edge'.
      Returns:
        a new object of class 'Edge'.
      Generated:

    - #### createContainment

          Containment createContainment()

      Returns a new object of class 'Containment'.
      Returns:
        a new object of class 'Containment'.
      Generated:

    - #### createNotationModel

          NotationModel createNotationModel()

      Returns a new object of class 'Model'.
      Returns:
        a new object of class 'Model'.
      Generated:

    - #### createAttribute

          Attribute createAttribute()

      Returns a new object of class 'Attribute'.
      Returns:
        a new object of class 'Attribute'.
      Generated:

    - #### getNotationPackage

          NotationPackage getNotationPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: